Description
Porting del vecchio plugin polygen

Associated revisions

Revision 4e659e10 - 11/28/2016 03:05 PM - Mark Caglienzi
Draft Polygen app's skeleton. refs: #72

Revision 71f6b0b0 - 11/28/2016 03:42 PM - Mark Caglienzi

Use reverse_lazy. refs: #72

Revision b39c6fbe - 11/28/2016 03:43 PM - Mark Caglienzi

Catch all things in the url, and make some validation in the view. refs: #72

Revision c5fcebfd - 11/28/2016 03:43 PM - Mark Caglienzi

Draft to allow to navigate in the path. refs: #72

Revision ff39febf - 11/28/2016 03:43 PM - Mark Caglienzi

Show items in the template. refs: #72

Revision 1e6ec61e - 11/28/2016 03:44 PM - Mark Caglienzi
Cleanup. refs: #72

Revision ff712d6c¢c - 11/29/2016 11:32 AM - Mark Caglienzi

Get separated variables. refs: #72

Revision 06cb86f0 - 11/29/2016 11:33 AM - Mark Caglienzi

Implement the view. refs: #72

Revision d79be1e6 - 11/29/2016 11:34 AM - Mark Caglienzi

Template for polygen:list view. refs: #72

Revision 23dec8fc - 11/29/2016 12:15 PM - Mark Caglienzi

Add a couple of auxiliary templatetags to join strings and paths in the templates. refs: #72

Revision c09d1fc4 - 11/29/2016 12:16 PM - Mark Caglienzi

To avoid ugly urls with two concatenated '/ characters, get all path in one variable. refs: #72

Revision 3918e7c7 - 11/29/2016 12:18 PM - Mark Caglienzi

Use utility_tags and concatenate the paths with os_path_join. refs: #72
Revision c284396f - 11/29/2016 03:56 PM - Mark Caglienzi
Use only buttons to go back. refs: #72

Revision 35380a25 - 11/29/2016 04:04 PM - Mark Caglienzi
Add split_path() method to the view. refs: #72

Revision 94118015 - 11/29/2016 04:06 PM - Mark Caglienzi
Use the method. refs: #72

Revision 3bcbc416 - 11/29/2016 04:58 PM - Mark Caglienzi

Fix almost everything in 'polygen:list' view. refs: #72:

® Move path splitting in the dispatch() method * Redirect to polygen root with error message in case of path not
found in tree (just a 404 was ugly from the UI/UX point of view,
even if it's better from the HTTP point of view. Just in case,
the call is in the code, commented out) * Ugly 'hack’ that creates self.root_tree also in List.dispatch()
(see the FIXME comment in the code/diff) and allows the behaviour

explained at the previous point

Revision c603974a - 11/29/2016 05:02 PM - Mark Caglienzi
Cleanup. refs: #72

Revision 7234407f - 11/29/2016 05:04 PM - Mark Caglienzi

Merge branch 'master' into t72. refs: #72

Revision fec2f1¢c7 - 11/29/2016 05:07 PM - Mark Caglienzi
Sort these lists. refs: #72

Revision 5e796187 - 11/30/2016 10:05 AM - Christopher R. Gabriel

refs #72

small ui improvements

Revision 7ec0721a - 11/30/2016 04:15 PM - Enrico Zini
Refactoed without code duplication in dispatch. Refs #72

History

#1 - 11/28/2016 09:52 AM - Mark Caglienzi
- Status changed from Nuovo to In elaborazione

- Assignee set to Mark Caglienzi

#2 - 11/29/2016 05:13 PM - Mark Caglienzi

- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

5e7b6e4s:
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/5e7b6e452af01211df1ff4225974e208ed52b664

Voce visibile nella sidebar, con la sua icona

La home dell'app ¢ I'elenco delle lingue, a cui segue, dopo clic, I'elenco delle grammatiche di quella lingua

Nella pagina dell'elenco delle grammatiche c'é un bottone back per tornare indietro

Cliccando su una grammatica si genera una entry per quella grammatica, e nella pagina si aggiunge anche il bottone per generarne un'altra
Se si scrive un'url inesistente, messaggio di errore e redirect alla home dell'app (restituire semplicemente 404 & piu corretto dal punto di vista
dello standard HTTP e REST, ma dal punto di vista della Ul la pagina & davvero brutta)

e Magari si puo fixare dopo aver rifatto la pagina 404 standard. Altro inconveniente & che il messaggio di errore in questo caso viene mostrato
dopo che si ricarica una pagina "buona" e non nella 404 stessa. Questo potrebbe confondere I'utente.

Mergiato in master (dopo merge di master in t72 e risoluzione di un conflitto facile in octonet/urls.py) e push.

#3 - 11/30/2016 10:06 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Enrico Zini

Per me ok, ho aggiungo qualche fix per la Ul e basta.

Riassegno ad Enrico per la review della implementazione, per parlarne poi con Mark.

#4 - 11/30/2016 04:23 PM - Enrico Zini

- Status changed from Commenti to Chiuso

Direi che ci sia tutto. Ho pushato in master un refactoring della dispatch per evitare duplicazione di codice con OctonetMixin
